BED2NT2AA(1)

NAME
bed2nt2aa.pl - Get nucleotde and amino acid sequences from BED intervals

SYNOPSIS
bed2nt2aa.pl [--bed FILE] [--fa FILE] [--aa] [options]

DESCRIPTION
Extract sequence intervals from Fasta files, provided as BED6 records. Optionally translate nucleotide into amino acid sequences. Output is written to a 'sequence.fa' output file. This can be overriden with the "-s" switch, which triggers STDOUT output.

OPTIONS

--bed
    Input file in BED6 format (mandatory)

--fa
    Input file in Fasta format (mandatory)

-a|--aa
    Translate nucleotide into amino acid sequences, providing all three possible frames

-s|--stdout
    Write output to STDOUT instead of an output file 'sequence.fa'

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHOR
Michael T. Wolfinger <michael@wolfinger.eu>